Bug 618418 - qpid-tool does not list all instances of classes with different hash values.
Summary: qpid-tool does not list all instances of classes with different hash values.
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-qmf   
(Show other bugs)
Version: beta
Hardware: All
OS: Linux
low
medium
Target Milestone: 1.3
: ---
Assignee: Ken Giusti
QA Contact: MRG Quality Engineering
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 618401
TreeView+ depends on / blocked
 
Reported: 2010-07-26 21:36 UTC by Ken Giusti
Modified: 2011-08-12 16:01 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-22 11:21:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ken Giusti 2010-07-26 21:36:32 UTC
Description of problem:

qpid-tool's "list" command will show only the first class that matches the given class name.  If a given class is present in different versions - having different hash components in the class key - only the first match is listed.


Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Activate two agents, each using a different revision of the same class.
2. start qpid-tool
3. enter the command: "list <classname>" - of the above class

  
Actual results:
Only one of the agent's classes are listed (arbitrary?).

Expected results:
All matching classes should be listed.


Additional info:

Comment 1 Ken Giusti 2010-07-27 14:18:54 UTC
fixed upstream: https://issues.apache.org/jira/browse/QPID-2762

revision 979712.


Note You need to log in before you can comment on or make changes to this bug.